Skip to main content
POST
Create a Record

Path Parameters

app_id
string
required

The ID of the app

collection_id
string
required

The ID of the collection

Query Parameters

verbose
enum<string>[]

Properties to include in the record response

Available options:
all
Example:

Body

Provide the necessary info to create the record.

name
string | null

Name of the record (up to 128 characters)

Required string length: 1 - 128
Example:

"New Important Record"

rules
object

The rules to be applied to the record

run
enum<string>

When running the record, specify whether all rules should be executed or only the changed ones

Available options:
all,
changed
Example:

"changed"

tags_ids
string[]

Tags to associate with the record (up to 20)

Maximum array length: 20
Example:

Response

200 - application/json

You will receive the newly created record details.

Detailed information about a record with the details of the trigger entity and collection configuration

id
string
required

Unique identifier for the record

name
string | null
required

Name of the record

Example:

"Important Record"

status
enum<string>
required

Current status of the record

Available options:
DRAFT,
QUEUED,
RUNNING,
CANCELLED,
COMPLETED,
FAILED
Example:

"COMPLETED"

source
enum<string>
required

Source from which the record was created

Available options:
APP,
API,
TRIGGER,
WORKFLOW
Example:

"API"

rules_count
number
required

Total number of rules of this record

rules_pass_count
number
required

Number of passed rules

rules_fail_count
number
required

Number of failed rules

rules_warn_count
number
required

Number of rules with warnings

rules
object
required

Rules associated with this record

collection_name
string
required

Name of the collection this record belongs to

collection_id
string
required

Unique identifier of the collection this record belongs to

Example:

"col_xxx"

created_by
object
required

User who created this record

Example:
tags
object[]
required

Tags associated with this record

created_at
string<date> | null
required

Timestamp when the record was created

updated_at
string<date> | null
required

Timestamp when the record was last updated

Link to the record in the UI

config
object
required
entity
object | null
required

Detailed information about a trigger entity

usage
object

Credit usage information of the record